const APP_AUTHOR		= "Geoff Smith";
const APP_NAME			= "StumbleUpon";
const APP_CHROME_NAME		= "stumbleupon";
const APP_VERSION		= "3.06";
const APP_FILE 			= "chrome/stumbleupon.jar";
const APP_FILE2 		= "stumbleupon.jar";
const APP_CONTENTS_PATH		= "content/";
const APP_LOCALE_ENUS_PATH	= "locale/en-US/";
const APP_LOCALE_FRFR_PATH	= "locale/fr-FR/";
//const APP_SKIN_PATH		= "skin/classic/stumbleupon/";

initInstall(APP_NAME, APP_CHROME_NAME, APP_VERSION); 

// var chromeFolder = getFolder("Current User", "chrome");
var chromeFolder = getFolder("Profile", "chrome");
setPackageFolder(chromeFolder);
// error = addFile(APP_NAME, APP_FILE, chromeFolder, "");
error = addFile(APP_AUTHOR, APP_VERSION, APP_FILE, chromeFolder, null);
//if (error != SUCCESS)
//	alert('err1 ' + error);

var jarFolder = getFolder(chromeFolder, APP_FILE2);
registerChrome(CONTENT | PROFILE_CHROME, jarFolder, APP_CONTENTS_PATH);
registerChrome(LOCALE | PROFILE_CHROME, jarFolder, APP_LOCALE_ENUS_PATH);
registerChrome(LOCALE | PROFILE_CHROME, jarFolder, APP_LOCALE_FRFR_PATH);
//registerChrome(SKIN | PROFILE_CHROME, jarFolder, APP_SKIN_PATH);

var result = getLastError(); 
if(result == SUCCESS) 
{
	error = performInstall();
//	if (error != SUCCESS)
//		alert('err3 ' + error);
} 
else 
{
//	alert('err2 ' + result);
	cancelInstall(result);
}
